Page MenuHomePhabricator

Add AntiSpoof to shared extension gate
Closed, ResolvedPublic

Description

Recently, a change was merged in mediawiki/core that was passing core's own tests as well as the Jenkins job with various extensions installed.

However, change proposals in Gerrit for some of those extensions then started consistently failing (such as AbuseFilter), as well as change proposals for extensions that aren't yet in the shared gate (such as UploadWizard).

Details at T198442 and T198384.

There seem to be two problems here:

  1. AntiSpoof and UploadWizard are both deployed at WMF but not in the shared extension job. We should fix this.
  1. AbuseFilter is installed without its dependencies by the shared extension job for MediaWiki core commits. This caused tests to pass for MediaWiki core commits, but fail for AbuseFilter commits, despite AbuseFilter being part of the extension job. We should fix this by updating Zuul's gatedextensions configuration to use the same dependency tree as for normal Jenkins jobs.

Details

Related Gerrit Patches:
integration/config : masterAdd AntiSpoof to gate

Event Timeline

Krinkle created this task.Jul 2 2018, 8:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2018, 8:57 PM
Krinkle moved this task from Perf issue to Watching on the Performance-Team (Radar) board.
greg triaged this task as Normal priority.Nov 21 2018, 12:17 AM

Change 510967 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Add AntiSpoof to gate

https://gerrit.wikimedia.org/r/510967

Change 510967 merged by jenkins-bot:
[integration/config@master] Add AntiSpoof to gate

https://gerrit.wikimedia.org/r/510967

Reedy closed this task as Resolved.May 18 2019, 12:07 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM